# Generated from galaaz-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name galaaz

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: Tightly coupling Ruby and R
License: BSD-2-Clause
URL: http://github.com/rbotafogo/galaaz/wiki
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Galaaz brings the power of R to the Ruby community. Galaaz 
is based on TruffleRuby and FastR, GraalVM-based interpreters for Ruby and the
R language 
for statistical computing respectively.
Over the past two decades, the R language for statistical computing has
emerged as the de 
facto standard for analysts, statisticians, and scientists. Today, a wide
range of 
enterprises – from pharmaceuticals to insurance – depend on R for key business
uses. FastR 
is a new implementation of the R language and environment for the Graal
Virtual Machine.
Galaaz tightly couples Ruby and R and allows the use of R inside a Ruby
script. In a sense, 
Galaaz is similar to other solutions such as RinRuby, Rpy2, PipeR, and
reticulate 
(https://blog.rstudio.com/2018/03/26/reticulate-r-interface-to-python/).
However, since 
Galaaz couples TruffleRuby and FastR that both target the JVM there is no need
to integrate 
both solutions and there is no need to send data between Ruby and R, as it all
resides in 
the same VM. 
Further, installation of Galaaz does not require the installation of GNU R.
When installing
GraalVM, just install TruffleRuby and FastR.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/galaaz
%{_bindir}/gstudio
%{_bindir}/gknit
%{_bindir}/grun
%{_bindir}/gknit-draft
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/blogs
%{gem_libdir}
%{gem_instdir}/r_requires
%{gem_instdir}/sty
%{gem_instdir}/version.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/specs

%changelog
* Mon Sep 13 2021 mockbuilder - 0.5.0-1
- Initial package
